%%the cell_data structure can be downloaded from the publication at https://www.embopress.org/doi/full/10.15252/msb.20178140
%%all the data is contained in what is named cell_data in the following scripts


%%Figure 2(a)
%CDF of initial OCT4 values

countpp=0; countun=0; countdiff=0; %counters
for i=1:1274 %for every cell
    y=[cell_data(i).Fate]; %cell fate
    cellt=[cell_data(i).t]; %time
    oct=[cell_data(i).MeanIntensity]; %OCT4
        if strcmp(y,'Pluripotent')==1 %if pluripotent
            countpp=countpp+1; %pp counts
            if cellt(1)==1; %if it's an initial cell 
            octinitialpp(i)=oct(1); %save initial OCT value
            end 
        elseif strcmp(y,'Differentiated')==1 %if differentiate
            countdiff=countdiff+1; %diff counter
            if cellt(1)==1; %if it's an initial cell 
            octinitialdiff(i)=oct(1); %save initial OCT value
            end
        else %is neither: 'unknown'
            countun=countun+1; %unknown counter
            if cellt(1)==1; %if it's an initial cell 
            octinitialun(i)=oct(1); %save initial OCT value
            end 
            
        end
end

%remove zero values from saving
octinitialpp=octinitialpp(octinitialpp~=0);
octinitialdiff=octinitialdiff(octinitialdiff~=0);
octinitialun=octinitialun(octinitialun~=0);

%collect all initial values
initialoctconditions=[octinitialpp, octinitialdiff, octinitialun];

%fit a Kernel distribution
initialoctkernel=fitdist(initialoctconditions','Kernel')

%plot CDF
figure
c1=cdfplot(initialoctconditions)
c1.LineWidth=1.2;
hold on 
siminitialconditions=random(initialoctkernel,1,10000);
c2=cdfplot(siminitialconditions)
c2.LineWidth=1.2;
c2.LineStyle="--";
title('')
xlabel('Initial OCT4')
ylabel('Cumulative density')





%%Figure 2(b)
%CDF of cellcycle times

load cellcycletimes %saved cell cycle times for cells before BMP4 (or extract)
cckernel=fitdist(cellcycletimes','Kernel')  %fit Kernel

%plot CDF
figure
c1=cdfplot(cellcycletimes)
c1.LineWidth=1.2;
hold on 
simcellcycle=random(cckernel,1,10000);
c2=cdfplot(simcellcycle)
c2.LineWidth=1.2;
c2.LineStyle="--";
title('')
xlim([0 25])
xlabel('Cell cycle time (hours)')
ylabel('Cumulative density')
